Package org.eclipse.e4.ui.css.core.dom

# Class ArrayNodeList

java.lang.Object
org.eclipse.e4.ui.css.core.dom.ArrayNodeList

All Implemented Interfaces:
  `NodeList`

public class ArrayNodeList extends Object implements NodeList

## Constructor Summary

Constructors
Constructor
Description
`ArrayNodeList(Object[] elements, CSSEngine engine)`
`ArrayNodeList(List<?> elements, CSSEngine engine)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getLength()`
`Node`
`item(int index)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ArrayNodeList

public ArrayNodeList(List<?> elements, CSSEngine engine)

### ArrayNodeList

public ArrayNodeList(Object[] elements, CSSEngine engine)

## Method Details

### getLength

public int getLength()

Specified by:
  `getLength` in interface `NodeList`

### item

public Node item(int index)

Specified by:
  `item` in interface `NodeList`

### toString

public String toString()

Overrides:
  `toString` in class `Object`